Package org.eclipse.birt.report.model.api.simpleapi

# Interface IDataSet

public interface IDataSet
Script wrapper of OdaDataSetHandle

## Method Summary

Modifier and Type
Method
Description
`List`
`getCachedResultSetColumns()`
Gets result set column of cached metadata.
`IDataSource`
`getDataSource()`
Returns `IDataSource` for this data set.
`String`
`getPrivateDriverProperty(String name)`
Returns a private driver property value with the given property name.
`String`
`getQueryText()`
Returns the query text.
`void`
`setPrivateDriverProperty(String name, String value)`
Sets a private driver property value with the given name and value.
`void`
`setQueryText(String query)`
Sets the query text.

## Method Details

### getDataSource

IDataSource getDataSource()
Returns `IDataSource` for this data set.

Returns:
  IDataSource

### getQueryText

String getQueryText()
Returns the query text.

Returns:
  the query text.

### setQueryText

void setQueryText(String query) throws SemanticException
Sets the query text.

Parameters:
  `query` - the text to set
Throws:
  `SemanticException` - if this property is locked.

### getPrivateDriverProperty

String getPrivateDriverProperty(String name)
Returns a private driver property value with the given property name.

Parameters:
  `name` - the name of a public driver property
Returns:
  a public driver property value

### setPrivateDriverProperty

void setPrivateDriverProperty(String name, String value) throws SemanticException
Sets a private driver property value with the given name and value. If the property does not exist, it will be added into the property list. If the property already exists, the value of the property will be overwritten.

Parameters:
  `name` - the name of a public driver property
  `value` - the value of a public driver property
Throws:
  `SemanticException` - if `name` is `null` or an empty string after trimming.

### getCachedResultSetColumns

List getCachedResultSetColumns()
Gets result set column of cached metadata.

Returns:
  collection each iteam is `IResultSetColumn`.